Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services
Class LoadingComponentsTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.turbine.test.BaseTestCase
                  org.apache.turbine.services.LoadingComponentsTest

All Implemented Interfaces:
  junit.framework.Test

    public class LoadingComponentsTest

extends BaseTestCase

Unit test for verifing that we can load all the appropriate components from the appropriate Container. For now that is just ECM (AvalonComponentService) but in the future with mixed containers there could be multiple.

Version:
  $Id: LoadingComponentsTest.java 947330 2010-05-22 19:38:55Z tv $
Author:
  Eric Pugh, Siegfried Goeschl

Constructor Summary
`LoadingComponentsTest(String name)`

Method Summary
`void` | `setUp()`
`void` | `tearDown()`
`void` | `testAvalonComponentServiceShutdown()` Shutdown the AvalonComponentService where the MimeTypeService resides and lookup the MimeTypeService.
`void` | `testLoadingByAvalonComponentService()` Test to load a couple of Avalon services directly by the AvalonComponentService.
`void` | `testLoadingByTurbineServices()` Test to load a couple of Avalon services by using the TurbineServices which delegate the service retrieval to the AvalonComponentService
`void` | `testLookupUnknownService()` Lookup up an unknown servie

Methods inherited from class org.apache.turbine.test.BaseTestCase
`getMockRequest, getPipelineData, getRunData`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LoadingComponentsTest

    public LoadingComponentsTest(String name)
                          throws Exception

Throws:
  `Exception`

Method Detail

### testLoadingByAvalonComponentService

    public void testLoadingByAvalonComponentService()
                                             throws Exception

  Test to load a couple of Avalon services directly by the AvalonComponentService.

  Throws:
    `Exception` - loading failed

### testLoadingByTurbineServices

    public void testLoadingByTurbineServices()
                                      throws Exception

  Test to load a couple of Avalon services by using the TurbineServices which delegate the service retrieval to the AvalonComponentService

  Throws:
    `Exception` - loading failed

### testLookupUnknownService

    public void testLookupUnknownService()
                                  throws Exception

  Lookup up an unknown servie

  Throws:
    `Exception`

### testAvalonComponentServiceShutdown

    public void testAvalonComponentServiceShutdown()
                                            throws Exception

  Shutdown the AvalonComponentService where the MimeTypeService resides and lookup the MimeTypeService. This should trigger a late initialization of AvalonComponentService and returns a fully functional MimeTypeService.

  Throws:
    `Exception`

### setUp

    public void setUp()
               throws Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `Exception`

### tearDown

    public void tearDown()
                  throws Exception

  Overrides:
    `tearDown` in class `junit.framework.TestCase`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.